RENICE(1)

NAME
renice - alter priority of running processes

SYNOPSIS
renice [-n] increment [-gpu] id

DESCRIPTION
renice alters the scheduling priority of one or more running processes with ID id. Processes may be selected by process ID, process group ID, and user name or ID. If none of the -gpu options are specified, the default is to select by process ID. Multiple processes can be specified in a space separated list.

Users other than the superuser may only alter the priority of processes they own, and can only monotonically increase their “nice value” within the range 0 to PRIO_MAX (20), which prevents overriding administrative fiats. The superuser may alter the priority of any process and set the priority to any value in the range PRIO_MIN (-20) to PRIO_MAX.

Useful priorities are: 20 (the affected processes will run only when nothing else in the system wants to), 0 (the “base” scheduling priority), anything negative (to make things go very fast).

The options are as follows:

-g  Alter the scheduling priority of all processes in process group id.

-n increment
    A positive or negative decimal integer used to modify the scheduling priority. For compatibility with historic versions of this utility, if -n is omitted and increment is the first argument to renice, then increment is taken as an absolute priority rather than an increment.

-p  Alter the scheduling priority of process id.

-u  Alter the scheduling priority of all processes belonging to user id, which may be a user name or ID.

FILES
/etc/passwd
    for mapping user names to user IDs

EXIT STATUS

EXAMPLES
The following example changes the priority of process IDs 987 and 32, and all processes owned by users daemon and root:

    # renice -n +1 987 -u daemon root -p 32

SEE ALSO
nice(1), getpriority(2), setpriority(2)

STANDARDS
The renice utility is compliant with the p1003.1-2008 specification, except the way in which processes are specified differs.

The historical behavior of passing increment as an absolute priority is supported for backwards compatibility.

HISTORY
The renice command appeared in 4.0BSD.

BUGS
Non-superusers cannot increase scheduling priorities of their own processes, even if they were the ones that decreased the priorities in the first place.